# codepoints-to-string

Converts a sequence of integers representing Unicode characters to the corresponding string.

codepoints-to-string($arg as xs:integer*) → xs:string

Arguments
| $arg | xs:integer* | A sequence of Unicode codepoint values
Result | xs:string

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function throws an error if any of the integers doesn't represent a valid XML character. With Saxon, the set of valid XML characters depends on whether XML 1.0 or 1.1 is the chosen version in the `Configuration`.

Next